<%@
  page errorPage ="../main/exceptionHandler.jsp"

%><%@

  page import="java.io.*, imagemed.imsession.*, imagemed.jsputil.*, imagemed.util.*, java.text.*"

%>
<%! private static String customHtmlPath = null; %>
<%IMSession is = new IMSession(request, response, out); 
  if (!is.regOK()) {
    return;
  }

  if (is.regID == null)  //Log time-out
  {
    return;
  }%><%@
  page import="imagemed.util.*"
  
%>
<%-- -----FUNCTION---- --%><%!
	private String getCustomHtmlPath(){
  		if (customHtmlPath == null){
  			customHtmlPath = IMEnvBase.getEnv("MAIN_DATA") + "/" + "directions.html";
  		}
  		return customHtmlPath;
  	}
%>

<%-- -----INIT & PROCESS---- --%><%
  MultipartParser req = new MultipartParser( is, IMEnvBase.getEnv("TMP") );
  String EnvMainData  = IMEnvBase.getEnv("MAIN_DATA") + "/";
  String htmlSource = Helper.readTextFile(getCustomHtmlPath());
  String opValue = req.getParameter("op");
  
  if ( opValue!=null && opValue.equals("Upload") )   //  has got modifier request
  {
    File tmp, destination;
    String fileName = req.getParameter("New");
    if ( fileName!=null )          //  New html fragment for directions
    {
      htmlSource = Helper.readTextFile(fileName);
      tmp = new File(fileName);
      destination = new File(getCustomHtmlPath());
      Helper.renameToNotThrowsException( tmp, destination );
    }
    
    for ( int i=1; i<5 ; i++ )
    {
      fileName = req.getParameter("img"+String.valueOf(i));
      if ( fileName!=null )
      {
        tmp = new File(fileName);
        fileName = EnvMainData + req.getParameter("imgName"+String.valueOf(i));
        destination = new File(fileName);
        Helper.renameToNotThrowsException( tmp, destination );
      }
    }
  }
  else if("Save".equals(opValue)) {
	  Helper.writeTextFile( getCustomHtmlPath(), req.getParameter("taHtml") );
		Syslog slog = new Syslog( "directionpage", 0 , IMEnvBase.getEnv( "LOG_OPER_FACILITY" ) );
 		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverdirections" );
 		logEntry.setField( OperLogEntry.FIELD.USER, is.regID );
 		logEntry.setField( OperLogEntry.FIELD.MESSAGE, is.regID + " modified the 'Directions' page." );
 		logEntry.log( slog, Syslog.LOG_INFO );

  }
  htmlSource = Helper.readTextFile(getCustomHtmlPath());
  if ( htmlSource == null ) htmlSource = "";  //default setting when has not got dirFile and any modifier request

%><%-- -----HTML---- --%><HTML>

<HEAD><TITLE><%= LocalizedMessage.getSimpleMessage( "IMADMIN_SET_DIRECTIONS_HTMLPAGE_TITLE" ) %></TITLE>
<%
  	TabToolbox.writeIMpopup(out);
	imagemed.tables.Table.printCommonScript(is);
	out.println(imagemed.jsputil.EditCustomHtmls.getScripts());
%>
</HEAD>
<BODY>
<%
  TabToolbox.makeTabs( is, is.tabbean, "imadmin/dicomsrv.jsp", "White");

%><%
  if (!IMAdminToolbox.bAdminRight(is))  //Has no ADMIN RIGHT?
  {
%>
    <BR>
    <CENTER><H3>
      <%= LocalizedMessage.getSimpleMessage( "NO_PERMISSION_TO_THIS_PAGE" ) %>
    </H3></CENTER></BODY></HTML>
<%
    return;
  }
%>
<table width="100%" border=1 cellpadding=0 cellspacing=0 class=BgShadow>
	<tr>
		<td colspan=2>
			<br>
			&nbsp;&nbsp;<font size="4"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_SET_DIRECTIONS_TITLE" ) %></font>
			<br> &nbsp;
		</td>
	</tr>
</table>
                                            
  <CENTER>
  <FORM id=<%=EditCustomHtmls.EDIT_FORM_ID%> ENCTYPE=MULTIPART/FORM-DATA METHOD=POST>
  <BR>
  <TABLE class=BgLight WIDTH=100% BORDER=1>
    <TR><TD  align="center">
	  <%= imagemed.jsputil.EditCustomHtmls.getCustomizedHtmlForm(is, htmlSource) %>
    </TD></TR>
  </TABLE>
  <BR>
  <I>
    <%= LocalizedMessage.getSimpleMessage( "IMADMIN_HTML_TAG_WARNING" ) %>
  </I>
  <BR>

    <%= LocalizedMessage.getSimpleMessage( "IMADMIN_UPLOAD_UPLOAD_NEW_HTML" ) %> <INPUT TYPE="FILE" NAME="New">
    <BR><BR><BR>
    <%= LocalizedMessage.getCompoundMessage( "IMADMIN_UPLOAD_OTHER", new Format[] { null }, new Object[] { LocalizedMessage.getSimpleMessage( "tabDirections" ) }, true) %><BR>
    <%= LocalizedMessage.getCompoundMessage( "IMADMIN_UPLOAD_IMAGE_NO", new Format[] { null }, new Object[] { "1" }, true) %>: <INPUT type="file" name="img1"> <%= LocalizedMessage.getCompoundMessage( "IMADMIN_UPLOAD_AS_MAIN_DATA", new Format[] { null }, new Object[] { IMEnvBase.getEnv("MAIN_DATA") }, false ) + "/" %><INPUT type="text" name="imgName1" value="dirimage1.gif"><BR>
    <%= LocalizedMessage.getCompoundMessage( "IMADMIN_UPLOAD_IMAGE_NO", new Format[] { null }, new Object[] { "2" }, true) %>: <INPUT type="file" name="img2"> <%= LocalizedMessage.getCompoundMessage( "IMADMIN_UPLOAD_AS_MAIN_DATA", new Format[] { null }, new Object[] { IMEnvBase.getEnv("MAIN_DATA") }, false ) + "/" %><INPUT type="text" name="imgName2" value="dirimage2.gif"><BR>
    <%= LocalizedMessage.getCompoundMessage( "IMADMIN_UPLOAD_IMAGE_NO", new Format[] { null }, new Object[] { "3" }, true) %>: <INPUT type="file" name="img3"> <%= LocalizedMessage.getCompoundMessage( "IMADMIN_UPLOAD_AS_MAIN_DATA", new Format[] { null }, new Object[] { IMEnvBase.getEnv("MAIN_DATA") }, false ) + "/" %><INPUT type="text" name="imgName3" value="dirimage3.gif"><BR>
    <%= LocalizedMessage.getCompoundMessage( "IMADMIN_UPLOAD_IMAGE_NO", new Format[] { null }, new Object[] { "4" }, true) %>: <INPUT type="file" name="img4"> <%= LocalizedMessage.getCompoundMessage( "IMADMIN_UPLOAD_AS_MAIN_DATA", new Format[] { null }, new Object[] { IMEnvBase.getEnv("MAIN_DATA") }, false ) + "/" %><INPUT type="text" name="imgName4" value="dirimage4.gif"><BR>    
    <BR><BR>
	<%= JSHelper.getJsInputLocalizedButton( is, "BUTTON_UPLOAD", "op", "Upload" ) %>
    <a href="dicomsrv.jsp"><%= JSHelper.getJsLocalizedButton( "BUTTON_CANCEL", "BUTTON_NULL", false ) %></a>
  </FORM>
  </CENTER>
  
  <%out.println(imagemed.jsputil.EditCustomHtmls.getHtmlCodes()); %>

</BODY>
</HTML>